OpenVDB 5.1.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
PointCountOp< PointDataTreeT, ValueIterT, FilterT > Struct Template Reference

`#include <PointCount.h>`

## Public Types
using | LeafManagerT = typename tree::LeafManager< const PointDataTreeT >

## Public Member Functions
| PointCountOp (const FilterT &filter, const bool inCoreOnly=false)
Index64 | operator() (const typename LeafManagerT::LeafRange &range, Index64 size) const

## Static Public Member Functions
static Index64 | join (Index64 size1, Index64 size2)

## Member Typedef Documentation

## ◆ LeafManagerT

using LeafManagerT = typename tree::LeafManager<const PointDataTreeT>

## Constructor & Destructor Documentation

## ◆ PointCountOp()

PointCountOp | ( | const FilterT & | filter,
|  | const bool | inCoreOnly = `false`
| ) |  |
| inline

## Member Function Documentation

## ◆ join()

static Index64 join | ( | Index64 | size1,
|  | Index64 | size2
| ) |  |
| inline static

## ◆ operator()()

Index64 operator() | ( | const typename LeafManagerT::LeafRange & | range,
|  | Index64 | size
| ) |  | const
| inline

The documentation for this struct was generated from the following file:

- PointCount.h